# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test
# FileName:      test_case.py
# Author:       lin
# Datetime:     2024/12/27 09:38
# Description:
# 
# ---------------------------------------------------------------------------
from APITest_1226 import log
from APITest_1226.common.read_excel import ReadExcel
import pytest

dict_case = ReadExcel("ww").case_dict()

class TestBpm:
    @log
    @pytest.mark.parametrize("url,mime,req,case,expect,sql,sql_type,update_key",dict_case)
    def test_bpm(self,req2_fix,url,mime,req,case,expect,sql,sql_type,update_key):
        res = req2_fix.req_all(req_url=url, req_mime=mime, req_req=req, req_case=case,sql_type=sql_type, sql_data=sql, update_key=update_key)
        for key in expect:
            assert res.json().get(key) ==expect[key]


if __name__ == '__main__':
    res =TestBpm()
